# Configuration file for britney

# Paths for control files
TESTING           = /srv/mirrors/debian/dists/testing
TPU               = /srv/mirrors/debian/dists/testing-proposed-updates
PU                = /srv/mirrors/debian/dists/proposed-updates
UNSTABLE          = /srv/mirrors/debian/dists/unstable

# Output
NONINST_STATUS    = /srv/release.debian.org/britney/var/data-b2/non-installable-status
EXCUSES_OUTPUT    = /srv/release.debian.org/britney/var/data-b2/output/excuses.html
EXCUSES_YAML_OUTPUT = /srv/release.debian.org/britney/var/data-b2/output/excuses.yaml
UPGRADE_OUTPUT    = /srv/release.debian.org/britney/var/data-b2/output/output.txt
HEIDI_OUTPUT      = /srv/release.debian.org/britney/var/data-b2/output/HeidiResult

# External policy/constraints/faux-packages information that
# (presumably) rarely changes.  Examples include "constraints".
STATIC_INPUT_DIR = /srv/release.debian.org/britney/input

# Directory for input files that Britney will update herself
# (e.g. aging information) or will need regular updates
# (e.g. urgency information).
STATE_DIR          = /srv/release.debian.org/britney/state

# List of architectures that Britney should consider.
# - defaults to the value in testing's Release file (if it is present).
# - Required for the legacy layout.
#ARCHITECTURES     = i386 amd64 arm64 armel armhf mips mipsel mips64el ppc64el s390x

# if you're not in this list, arch: all packages are allowed to break on you
NOBREAKALL_ARCHES = i386 amd64 arm64 armel armhf ppc64el s390x

# if you're in this list, your packages may not stay in sync with the source
OUTOFSYNC_ARCHES  =

# if you're in this list, your uninstallability count may increase
BREAK_ARCHES      =

# if you're in this list, you are a new architecture
NEW_ARCHES        =

# priorities and delays
MINDAYS_LOW       = 10
MINDAYS_MEDIUM    = 5
MINDAYS_HIGH      = 2
MINDAYS_CRITICAL  = 0
MINDAYS_EMERGENCY = 0
DEFAULT_URGENCY   = medium

HINTSDIR = /srv/release.debian.org/britney/hints

# hint permissions
HINTS_ABA         = ALL
HINTS_PKERN       = STANDARD force
HINTS_ADSB        = STANDARD force force-hint
HINTS_MEHDI       = STANDARD
HINTS_JCRISTAU    = STANDARD force force-hint
HINTS_FAW         = STANDARD
HINTS_NTHYKIER    = STANDARD
HINTS_KIBI        = STANDARD
HINTS_JMW         = STANDARD
HINTS_IVODD       = STANDARD
HINTS_POCHU       = STANDARD force
HINTS_ELBRUS      = STANDARD
HINTS_FREEZE      = block block-all block-udeb
HINTS_FREEZE-EXCEPTION = unblock unblock-udeb
HINTS_SATBRITNEY  = easy
HINTS_AUTO-REMOVALS = remove

# support for old libraries in testing (smooth update)
# use ALL to enable smooth updates for all the sections
#
# naming a non-existent section will effectively disable new smooth
# updates but still allow removals to occur
SMOOTH_UPDATES    = libs oldlibs

IGNORE_CRUFT      = 1

ADT_ENABLE        = no

# Complete URL to find a specific build log, used for links in the excuses
BUILD_URL         = https://buildd.debian.org/status/logs.php?suite=sid&arch={arch}&pkg={source}&ver={version}
